1. Merchants
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
        GET
      • Get Single Specific Merchant Name
        GET
      • Get a Single Specific Merchant ID
        GET
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Merchants

Get a Single Specific Merchant ID

GET
/v1/merchants/{id}

Request

Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/merchants/73?page=1&per_page=10&fields=name,network.name&has_icon=1&has_description=1&has_logo=1&has_domains=1&product_count_min=300&product_count_max=1000' \
--header 'Authorization: Bearer {{token}}'

Responses

🟢200OK
application/json
Body

Example
{
    "meta": {
        "total": 1,
        "from": 1,
        "to": 1,
        "current_page": 1,
        "last_page": 1,
        "per_page": 100,
        "fields": [
            "id",
            "name",
            "description",
            "domains",
            "icon_url",
            "logo_url",
            "product_count",
            "network"
        ],
        "trace_id": "0194fffe-9a3b-71aa-ada0-8686ff2715dd"
    },
    "data": [
        {
            "id": 71655,
            "name": "Real Food Hub",
            "description": "Real Food Hub is for people who love Real Good Food from farmers markets and enjoy the convenience of online ordering. We believe it has more taste, more nutrition and is more ethically produced.",
            "domains": [
                "https://www.realfoodhub.co.uk"
            ],
            "icon_url": "https://img.affiliate.com/logos/merchants/71655/icon.png",
            "logo_url": "https://img.affiliate.com/logos/merchants/71655/logo.png",
            "product_count": 1301,
            "network": {
                "id": 10,
                "name": "Awin UK",
                "url": "https://www.awin.com",
                "logo_url": "https://img.affiliate.com/logos/groups/10006/128x128.png"
            }
        }
    ]
}
🟠404Record not found
🟠400Invalid input
🟠429Rate Limit Exceeded
🟠401Unauthenticated
Modified at 2025-08-14 02:16:50
Previous
Get Single Specific Merchant Name
Next
Products